# QFontDialog Class Reference

### [com.trolltech.qt.gui package]

Inherits QDialog.

### Constructor

- void QFontDialog(QWidget parent)
- void QFontDialog(QFont initial, QWidget parent)

### Constructor Properties

- prototype: The QFontDialog prototype object
- QFont getFont(QWidget parent)
- NoButtons = 0x00000001
- DontUseNativeDialog = 0x00000002
- FontDialogOption( value )
- FontDialogOptions( value1, value2, ... )

### Prototype Object Properties

The QFontDialog prototype object inherits properties from the QDialog prototype object and also has the following properties.

- void open(QObject receiver, char member)
- QFont selectedFont()
- void setOption(FontDialogOption option, bool on)
- bool testOption(FontDialogOption option)

### Instance Properties

QFontDialog objects inherit properties from the QFontDialog prototype object and also have the following properties.

- currentFont
- options